Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class SSLConfig

    java.lang.Object
      org.jivesoftware.openfire.net.SSLConfig

    public class SSLConfig

extends Object

Configuration of Openfire's SSL settings.

Author:
  Iain Shigeoka

Method Summary
`static ServerSocket` | `createc2sServerSocket(int port, InetAddress ifAddress)` Create a ServerSocket for c2s connections
`static ServerSocket` | `createServerSocket(int port, InetAddress ifAddress)` Create a ServerSocket for s2s connections
`static SSLServerSocketFactory` | `getc2sServerSocketFactory()` Get the SSLServerSocketFactory for c2s connections
`static SSLContext` | `getc2sSSLContext()` Get the SSLContext for c2s connections
`static String` | `getc2sTrustPassword()` Return the Trust Store password for c2s connections.
`static KeyStore` | `getc2sTrustStore()` Get the Trust Store for c2s connections
`static String` | `getc2sTruststoreLocation()` Get the c2s Trust Store location
`static String[]` | `getDefaultCipherSuites()`
`static String` | `getKeyPassword()` Get the Key Store password
`static KeyStore` | `getKeyStore()` Get the Key Store
`static String` | `getKeystoreLocation()` Get the Key Store location
`static String` | `gets2sTrustPassword()` Return the Trust Store password for s2s connections.
`static KeyStore` | `gets2sTrustStore()` Get the Trust Store for s2s connections
`static String` | `gets2sTruststoreLocation()` Get the s2s Trust Store location
`static SSLServerSocketFactory` | `getServerSocketFactory()` Get the SSLServerSocketFactory for s2s connections
`static SSLContext` | `getSSLContext()` Get the SSLContext for s2s connections
`static String` | `getStoreType()`
`static String[]` | `getSupportedCipherSuites()`
`static KeyStore` | `initializeKeyStore()` Initializes (wipes and recreates) the keystore, and returns the new keystore.
`static void` | `saveStores()` Save all key and trust stores.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getKeyPassword

    public static String getKeyPassword()

  Get the Key Store password

  Returns:
    the key store password

### gets2sTrustPassword

    public static String gets2sTrustPassword()

  Return the Trust Store password for s2s connections.

  Returns:
    the s2s trust store password.

### getc2sTrustPassword

    public static String getc2sTrustPassword()

  Return the Trust Store password for c2s connections.

  Returns:
    the c2s trust store password.

### getDefaultCipherSuites

    public static String[] getDefaultCipherSuites()

### getSupportedCipherSuites

    public static String[] getSupportedCipherSuites()

### getKeyStore

    public static KeyStore getKeyStore()
                                throws IOException

  Get the Key Store

  Returns:
    the Key Store
  Throws:
    `IOException`

### gets2sTrustStore

    public static KeyStore gets2sTrustStore()
                                     throws IOException

  Get the Trust Store for s2s connections

  Returns:
    the s2s Trust Store
  Throws:
    `IOException`

### getc2sTrustStore

    public static KeyStore getc2sTrustStore()
                                     throws IOException

  Get the Trust Store for c2s connections

  Returns:
    the c2s Trust Store
  Throws:
    `IOException`

### initializeKeyStore

    public static KeyStore initializeKeyStore()

  Initializes (wipes and recreates) the keystore, and returns the new keystore.

  Returns:
    Newly initialized keystore.

### saveStores

    public static void saveStores()
                           throws IOException

  Save all key and trust stores.

  Throws:
    `IOException`

### createServerSocket

    public static ServerSocket createServerSocket(int port,
                                                  InetAddress ifAddress)
                                           throws IOException

  Create a ServerSocket for s2s connections

  Returns:
    the ServerSocket for an s2s connection
  Throws:
    `IOException`

### createc2sServerSocket

    public static ServerSocket createc2sServerSocket(int port,
                                                     InetAddress ifAddress)
                                              throws IOException

  Create a ServerSocket for c2s connections

  Returns:
    the ServerSocket for an c2s connection
  Throws:
    `IOException`

### getKeystoreLocation

    public static String getKeystoreLocation()

  Get the Key Store location

  Returns:
    the keystore location

### gets2sTruststoreLocation

    public static String gets2sTruststoreLocation()

  Get the s2s Trust Store location

  Returns:
    the s2s Trust Store location

### getc2sTruststoreLocation

    public static String getc2sTruststoreLocation()

  Get the c2s Trust Store location

  Returns:
    the c2s Trust Store location

### getStoreType

    public static String getStoreType()

### getSSLContext

    public static SSLContext getSSLContext()

  Get the SSLContext for s2s connections

  Returns:
    the SSLContext for s2s connections

### getc2sSSLContext

    public static SSLContext getc2sSSLContext()

  Get the SSLContext for c2s connections

  Returns:
    the SSLContext for c2s connections

### getServerSocketFactory

    public static SSLServerSocketFactory getServerSocketFactory()

  Get the SSLServerSocketFactory for s2s connections

  Returns:
    the SSLServerSocketFactory for s2s connections

### getc2sServerSocketFactory

    public static SSLServerSocketFactory getc2sServerSocketFactory()

  Get the SSLServerSocketFactory for c2s connections

  Returns:
    the SSLServerSocketFactory for c2s connections

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.